# $Revision: 1.40 $, $Date: 2008/03/20 15:08:53 $
Summary:	A couple of command line utilities for working with desktop entries
Summary(pl.UTF-8):	Kilka narzędzi do pracy z elementami biurkowymi
Name:		desktop-file-utils
Version:	0.15
Release:	1
License:	GPL v2+
Group:		Applications
Source0:	http://www.freedesktop.org/software/desktop-file-utils/releases/%{name}-%{version}.tar.gz
# Source0-md5:	2fe8ebe222fc33cd4a959415495b7eed
URL:		http://www.freedesktop.org/wiki/Software/desktop-file-utils
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	glib2-devel >= 1:2.8.0
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
desktop-file-utils contains a couple of command line utilities for
working with desktop entries.

%description -l pl.UTF-8
desktop-file-utils zawiera kilka narzędzi uruchamianych z linii
poleceń, służących do pracy z elementami biurkowymi.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__automake}
%{__autoheader}
%{__autoconf}
%configure \
	--disable-static
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_desktopdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

touch $RPM_BUILD_ROOT%{_desktopdir}/mimeinfo.cache

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_bindir}/desktop-file-install
%attr(755,root,root) %{_bindir}/desktop-file-validate
%attr(755,root,root) %{_bindir}/update-desktop-database
%ghost %{_desktopdir}/mimeinfo.cache

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: desktop-file-utils.spec,v $
Revision 1.40  2008/03/20 15:08:53  megabajt
- updated to 0.15

Revision 1.39  2007-12-19 14:21:16  glen
- rel 3

Revision 1.38  2007-12-19 14:17:20  glen
- package %{_desktopdir}/mimeinfo.cache; rel 2

Revision 1.37  2007-09-27 16:59:50  megabajt
- updated to 0.14

Revision 1.36  2007/06/30 20:21:05  arekm
- up to 0.13

Revision 1.35  2007/02/12 21:23:52  glen
- tabs in preamble

Revision 1.34  2007/02/12 00:48:45  baggins
- converted to UTF-8

Revision 1.33  2007/01/21 10:48:27  megabajt
- up to 0.12

Revision 1.32  2006/06/11 09:20:05  freetz
- 0.11, popt replaced with GOption, bleeding edge deps

Revision 1.31  2006/02/23 08:23:57  freetz
- rel.2 for th

Revision 1.30  2005/06/18 15:29:26  zbyniu
- BR: pkgconfig

Revision 1.29  2005/04/10 15:37:40  freetz
- 0.10, removed obsoleted menu stuff (moved to gnome-menus), download url
  corrected

Revision 1.28  2005/03/27 22:17:59  havner
- removed obsolete gnome-vfs2-module-menu subpackage

Revision 1.27  2004/10/01 23:01:24  grzegol
- updated to 0.9

Revision 1.26  2004/09/20 10:05:36  krzak
- rel. 3
- package gnome-vfs2-module-menu Requires:  gnome-vfs2 >= 2.8.0-2

Revision 1.25  2004/09/07 19:39:41  wiget
- gnome-vfs2-module-menu provides config only for menu releated URIs
- release 2

Revision 1.24  2004/09/07 16:54:40  grzegol
- updated to 0.8
- removed outdated patches:
  * hide_empty_submenus
  * directory_change_notify
  * directory_mtime
  * onlyshowin
  * nodisplay
  * directory_nodisplay
- s/noshowin/notshowin/ in patches names and in its contents (it was typo,
  this keyword name is NotShowIn not NoShowIn)

Revision 1.23  2004/08/12 11:04:28  krzak
- missing computer:// and network:// declarations updated in configuration file
- rel. 4

Revision 1.22  2004/08/09 18:12:54  krzak
- gnome-vfs2-module-menu (Provides: gnome-vfs-menu-module)
- source1 with default-modules.conf for this module
- rel 3

Revision 1.21  2004/07/28 20:27:21  grzegol
- added patches:
  * directory_nodisplay - support for NoDisplay in .directory files
  * directory_onlyshowin - support for OnlyShowIn in .directory files
  * directory_noshowin - support for NoShowIn in .directory files
- rel. 2

Revision 1.20  2004/07/27 21:06:38  havner
- rel 1

Revision 1.19  2004/07/27 21:01:08  ankry
- cosmetics

Revision 1.18  2004/07/26 00:16:43  grzegol
- gnome-vfs2-module-menu: R: gnome-vfs2 >= 2.6.1.1-3.1

Revision 1.17  2004/07/25 22:38:03  grzegol
- added home_dir patch (search ~/.gnome2/vfolders/applications for .desktop
  files)
- rel. 0.91

Revision 1.16  2004/07/24 18:23:48  freetz
- 0.7, rel. 0.9, no problems detected with grzegol's menu stuff

Revision 1.15  2004/07/22 22:24:08  grzegol
- added nodisplay and noshowin patches (support for NoDisplay and NoShowIn
  desktop entries)
- rel. 2.4 (ready for rel. 3, but should be tested)

Revision 1.14  2004/07/21 21:17:39  grzegol
- added patches:
    * hide_empty_submenus - don't show submenu if it's empty
    * directory_change_notify and directory_mtime - new desktop files and
      changes are instantly visible
    * onlyshowin - implementation of OnlyShowIn feature
- new TODO item: NoDisplay
- rel. 2.2 - works for me but should be tested

Revision 1.13  2004/07/21 18:31:12  grzegol
- updated menu patch (use applications: instead of menu: URI)
- added TODO
- rel. 2.1

Revision 1.12  2004/07/21 15:05:27  wiget
- added menu.patch (change menu-test: to menu:)
- vfs module requires fixed applnk 1.9.3-2
- relase 2

Revision 1.11  2004/05/15 22:54:22  freetz
- 0.6

Revision 1.10  2004/03/26 08:47:03  qboosh
- cleanup

Revision 1.9  2004/03/25 16:56:26  freetz
- up to 0.5

Revision 1.8  2004/03/07 22:16:42  ankry
- en spelling

Revision 1.7  2003/12/27 17:12:54  qboosh
- removed *.la for gnome-vfs module, disable-static (only module here)

Revision 1.6  2003/12/13 18:06:58  wiget
- URL fix

Revision 1.5  2003/11/16 19:55:37  grzegol
- rel 1.%{_snap}.1 to allow upgrade

Revision 1.4  2003/11/16 19:18:51  qboosh
- grrr, missing ac/am/lt deps (always remember to add them when used!)
- formatting

Revision 1.3  2003/11/16 19:00:24  krzak
- up to snam 20031116
- package gnome-vfs2-module-menu that give support for menus, defined by
  freedesktop.org, for GNOME-VFS

Revision 1.2  2003/07/05 21:00:16  qboosh
- typo

Revision 1.1  2003/07/04 21:13:54  grzegol
- new
